$(function () {

    /**
     *
     * @param {Function[]} list
     */
    function performScheduled(list) {
        for (var i = 0; i < list.length; i++) {
            list[i]();
        }
    }

    performScheduled(EASY.scheduledTasks.scheduledOnDocumentReady);
    window.setTimeout(function () {
        performScheduled(EASY.scheduledTasks.scheduledEarly);
    }, 1000);

    window.setTimeout(function () {
        performScheduled(EASY.scheduledTasks.scheduled);
    }, 2000);

    window.setTimeout(function () {
        performScheduled(EASY.scheduledTasks.scheduledLate);
    }, 3000);

});

